Viquipèdia:La taverna/Tecnicismes

Salta a la navegació Salta a la cerca

Sobre aquest tauler

Resum per Vriullop

Duplicat de Tema:Vfmdm6d54yt9bvlh, "Problemes tècnics".

Walden69 (discussiócontribucions)

És impossible editar al wikidata. Desisteixo.

Amadalvarez (discussiócontribucions)

i la VP !!

Pere prlpz (discussiócontribucions)

Sí, avui va fatal, i si editant directament va malament amb algunes eines com el quickstatements encara va pitjor.

Walden69 (discussiócontribucions)

Què dimonis passa avui a la viquipèdia. A part d'anar d'allò més lent i donar constants missatges d'error, almenys a mi m'ha desaparegut l'opció d'editar a wikidata, que abans tenia activada. Què dimonis està passant ?

Walden69 (discussiócontribucions)

Tampoc em deixa editar al wikidata. Em dona constants missatges d'error.

Townie (discussiócontribucions)

Sembla que hi hauria problemes amb els servidors a Europa. Esperem que s'arregli aviat.

Walden69 (discussiócontribucions)

Doncs porta gairebé tota la tarda així, però ara va pitjor.

Vriullop (discussiócontribucions)

Un mapa curiós. Ahir ens afectava de ple el núvol tòxic al voltant dels servidors d'Amsterdam. Avui sembla que estem fora, però i el problema encara no està solucionat: phab:T243713.

Resposta a «Problemes tècnics»
Salgo60 (discussiócontribucions)
Pere prlpz (discussiócontribucions)

Ara mateix tindria tot el sentit afegir-ho a la plantilla autoritat, ja sigui com a registre d'autoritat o com a font d'informació. Ara bé, tenim una discussió encallada sobre el futur de la plantilla.

Vriullop (discussiócontribucions)
Pere prlpz (discussiócontribucions)

Em surten més de 1000 articles que tindrien aquest enllaç si tinguessin la plantilla Autoritat, que s'ajunten a les desenes de milers d'articles que tindrien altres enllaços com l'Enciclopèdia Catalana però tampoc tenen la plantilla, i no els la posem perquè a Tema:Vc1n1bc43hpgqa7b es diu que primer volem canviar-la, però el debat porta un mes aturat i de moment no s'hi albira cap consens.

Potser seria hora de o bé fer alguna cosa per arribar a un consens (potser una presa de decisió) o bé assumir que de moment el consens no ha canviat i seguir posant la plantilla com sempre.

Salgo60 (discussiócontribucions)

Sorry writing in english. I feel the approach of having Europeana Entity P7704 on every page we have a link to Europeana is excellent. I have seen one problem in Sweden that museums/archives upload objects as text strings instead of saying that this object is

If Wikipedia on most languages can have an article and at the end of the article we have a link to Euopeana I guess it will be easier for museum/archive people to understand the importance to upload things and say its

  • same as agent/base/146741 --> the object they upload will be found using the Wikipedia link
Vriullop (discussiócontribucions)

Ping ESM. We're GLAMing here.

Salgo60 (discussiócontribucions)

Is there category set when the Europeana Entity is shown on a page then we can create statistics see status report

Vriullop (discussiócontribucions)
ESM (discussiócontribucions)

Jo sóc una mica insaciable amb aquestes coses i d'entrada diria que sí a tot, que endavant amb l'afegit de l'identificador d'Europeana allà on sigui perquè com més enllaçat ho tinguem tot, millor. Tanmateix, ara per ara no tinc una opinió formada sobre tot el tema de la plantilla autoritat.

Salgo60 (discussiócontribucions)

Sorry writing in English what I have seen is

  • Wikidata is far ahead of Europeana when speaking about unique entities
    • Europeana has 50 000 000 objects and I start feeling they understand they need unique entities to make things findable
    • In Sweden archives/museums upload objects to Europeana and then the Europeana people do some matching --> Europeana has quality problems and the museums/archives need to say that Ramon Casas i Carbóis the same as Europeana agent/base/54748 If Wikipedia with its big visibility could help museums/archive understand what the correct agent id is I hope we will get better quality in Europeana

So my guess we need to explain what we do for Europeana and how local museums uploading to Europeana can use Wikipedia to get better quality in Europeana --> when we link Europeana from Wikipedia we find what we expect to find

Salgo60 (discussiócontribucions)

You can see the quality problem in Europeana

Resposta a «Europeana Wikidata Property 7704»

Espècie: Mexicans (Infotaula personatge)

4
Pau Colominas (discussiócontribucions)

Bon dia,

Des del Twitter ens fan notar que la infotaula de personatge mostra un curiós "Espècie: Mexicans" a Panchito Pistoles.

Pere prlpz (discussiócontribucions)
Paucabot (discussiócontribucions)
Paucabot (discussiócontribucions)
Resposta a «Espècie: Mexicans (Infotaula personatge)»
Judesba (discussiócontribucions)

Hola. Tenim un bot que de vegades marca edicions com a "text sense sentit" o alguna cosa així; si no recordo malament són repetició de caràcters. En tenim cap que detecti paraulotes? Potser fóra bo que fos així i desfés canvis d'edicions vandàliques. Sinó, algun altre mecanisme en la línia, com ara no permetre publicar si es detecten insults. Últimament s'està vandalitzant molt Tsunami Democràtic, per exemple, i m'hi ha fet pensar. He vist que a Etiquetes hi diu que l'etiqueta "paraulotes", detectat pel filtre 6, ja no està en ús. Si m'he perdut res, hi ha algú que me'n pugui fer cinc cèntims, si us plau? Sinó, podem mirar de solucionar tècnicament casos així? Gràcies.

Vriullop (discussiócontribucions)
Pere prlpz (discussiócontribucions)

Quan ho hem parlat, una bona part del problema és que hi ha molt de vandalisme que no són paraulotes i és discutible si s'ha d'etiquetar i a més si s'etiquetés hauria de ser amb una etiqueta diferent. Per exemple, hi ha molt de vandalisme polític que inclou "Espa(ny|ñ)a" o directament "Viva España", però "Viva España" no és una paraulota i és discutible que s'hagi d'etiquetar l'edició cada vegada que un novell escrigui "Espanya", i encara menys impedir-ho perquè té molts usos legítims.

A més, veient l'historial de Tsunami Democràtic sembla que el vandalisme es reverteix en qüestió de minuts sigui l'hora que sigui i no crec que una etiqueta faci revertir-lo més ràpid. Jo més aviat el que faria és demanar la semiprotecció de l'article perquè no veig que els anònims hi estiguin aportant res més que vandalisme.

Judesba (discussiócontribucions)

Gràcies, @Vriullop; m'ho hauré de llegir amb calma perque em perdo força amb aquestes coses.

@Pere prlpz, gràcies també, però no és qüestió d'un article sinó dels articles en general. Tsunami Democràtic n'és un exemple, només. Me'l vaig posar en seguiment farta ja de trobar-me'l a cada moment a canvis recents per vandalisme. No dec ser l'única que ho fa, però que tinguem patrulladors no significa que haguem d'estar patrullant tota l'estona i revertint el vandalisme compulsiu i reincident. Aquest seria el problema principal que caldria solucionar amb els canvis.

El tema del vandalisme és molt feixuc; qualsevol ajuda és bona, i qualsevol petita millora també ho és. De manera que filtrar/bloquejar/revertir paraulotes, repetició de caràcters, i coses així ajudaria força. Fer-ho amb el "canvi de banderetes" (nacionalitats, bàsicament) també, perque és una constant. Per cert, Spain sol no, però amb un "viva" al davant és clarament vandalisme en un altíssim % dels casos; i els que no ho són poden exposar-se en una petició a la pàgina de discusió de l'article, a la Taverna, o a les peticions a administradors.

Vriullop (discussiócontribucions)
Judesba (discussiócontribucions)
Resposta a «Paraulotes, etc»

Ordinals de càrrecs polítics en femení

9
Alvaro Vidal-Abarca (discussiócontribucions)

Hola a tothom, i bon Nadal! Estava mirant l'article Elisenda Paluzie i Hernández, i he vist que el càrrec posa "4t Presidenta de l'Assemblea Nacional Catalana" (ordinal en masculí) en lloc de "4a Presidenta de l'Assemblea Nacional Catalana" (ordinal en femení). He investigat les plantilles d'{{Infotaula persona}} i subplantilles, i no me he aconseguit esbrinar on fer la rectificació. Crec que cal intervenir en algun lloc entre les plantilles {{Infotaula persona/capçalcàrrec}} i {{Ordinal}}, però no sé com passar el paràmetre "dona" (propietat WD Q6581072) a la plantilla "Ordinal", cosa que donaria "4a" en lloc de "4t". Alguna idea?

Gràcies, i bones festes!

Amadalvarez (discussiócontribucions)

No ho has trobat, perquè abans cridava la plantilla:ordinal, però es va fer un canvi fa 1 mes, perquè ho calculés el mòdul:wikidata directament. Aviso al @Vriullop que li faci un cop d'ull. Merci, Bones festes.

Vriullop (discussiócontribucions)

Va quedar pendent de com desencallar en una qüestió lingüística. L'Elisenda no és la 4a presidenta, és 3a presidenta i 4t president.

FranSisPac (discussiócontribucions)

Interessant dilema. Penso que no té sentit tenir dues ordinalitats segons gènere. Opino, i m'agradaria tenir-ne un criteri més professional, que hauria d'identificar-se com a "4a president".

Pau Colominas (discussiócontribucions)

D'acord amb en FranSisPac que no té sentit tenir dos ordinals. Crec que hi hauria d'aparèixer només "4t president".

FranSisPac (discussiócontribucions)

Perdó, detecto que l'acord és parcial. La meva proposta és, insisteixo, "4a president..."

Vriullop (discussiócontribucions)

Una solució pot ser separar ordinal i títol per a que no es llegeixi tot seguit, per exemple: (4t) Presidenta de l'ANC.

Amadalvarez (discussiócontribucions)

A mi m'està bé, però sospito que pot mantenir obert el debat quan ho trobi algú que no s'adoni.

Si voleu ho poso i esperem novetats

Vriullop (discussiócontribucions)

Cert, però es pot deixar anotat en la discussió de la plantilla per a futura referència, sense descartar altres solucions.

Resposta a «Ordinals de càrrecs polítics en femení»
Pere prlpz (discussiócontribucions)

He instal·lat el pywikibot i aconsegueixo que llegeixi pàgines però no que les editi.

Fent un programa de prova que fa servir page.put em dóna el següent error (els missatges d'error són molt més llargs però copio la part que em sembla significativa):

pywikibot.exceptions.OtherPageSaveError: Edit to page [[Usuari:PereBot/taller]] failed:
permissiondenied: The action you have requested is limited to users in one of the groups: *, [[Viquipèdia:Usuaris|Usuaris]]. [help:See https://ca.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes.]

Si faig servir un script dels estàndard, també em passa el mateix. He provat amb python pwb.py replace.py -ns:0 arrivar arribar -search:arrivar i em trobo amb un error semblant:

WARNING: API error permissiondenied: The action you have requested is limited to users in one of the groups: *, [[Viquipèdia:Usuaris|Usuaris]].
ERROR: page [[Casa Magí Llorenç]] not saved due to permissiondenied: The action you have requested is limited to users in one of the groups: *, [[Viquipèdia:Usuaris|Usuaris]]. [help:See https://ca.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes.]

No sé si hi pot estar relacionat, però, a més, només em funciona el pywikibot (des de la línia de comanda del Windows) quan estic al directori on és el mateix pywikibot, tot i que crec que tinc el PYTHONPATH i el PYWIKIBOT_DIR bé i l'user-config.py també.

Alguna idea de què puc estar fent malament?

Notifico en @Joutbis

Joutbis (discussiócontribucions)

Sembla que no et funciona l'autenticació. El motiu s'haurà de veure; o algun problema al user-config, o al PYTHONPATH.

Joutbis (discussiócontribucions)

Concentra't a provar el logon; diria que ara és obligatòriament mitjançant Oauth, i usuari/contrasenya ja no deu funcionar. Prova de fer només "python pwb login.py" (segons surt aquí) i afegint-hi l'opció "-dir:", per assegurar que agafa el user-config.py correcte, com explica aquí. A veure què tal.

Vriullop (discussiócontribucions)

Em vaig trobar amb aquests problemes, i d'altres, en canviar de Python 2 a 3. El login no el podia fer ni manualment, vaig haver de restaurar la contrasenya. Pel PATH vaig googlejar.

Pere prlpz (discussiócontribucions)

O sigui, seria canviar el PATH a més d'afegir el PYTHONPATH?

Vriullop (discussiócontribucions)

Pel que dius, "només em funciona el pywikibot quan estic al directori on és el mateix pywikibot", sembla el PATH. Potser el nou l'has instal·lat en un directori diferent al vell?

Pere prlpz (discussiócontribucions)

No només un directori diferent. He instal·lat el pywikibot en un ordinador diferent del que feia servir fa tres anys, que és la darrera vegada que vaig editar amb bot.

Del vídeo, el que havia entès és que el Python fa servir és la variable PYTHONPATH (i potser també PYWIKIBOT_DIR) per trobar el pywikibot. També cal posar al PATH el directori on és el pywikibot?

Joutbis (discussiócontribucions)

Jo no treballo amb Windows, però pel que vaig estar provant mentre feia el vídeo, diria que el PATH només és pràctic perquè el Windows trobi l'intèrpret de Python des de qualsevol directori. Llavors, el que hi ha d'haver al PATH és el directori on has instal·lat el Python. El pywikibot, només al Pythonpath, que és on el Python busca els mòduls i llibreries.

Pere prlpz (discussiócontribucions)
Pere prlpz (discussiócontribucions)

Diria que el login em funciona. Una mostra:

C:\Users\Pere\Documents\pywikibot>echo %PYTHONPATH%
C:\Users\Pere\Documents\pywikibot

C:\Users\Pere>cd %PYTHONPATH%

C:\Users\Pere\Documents\pywikibot>python pwb.py login.py
Logged in on wikipedia:ca as PereBot.

C:\Users\Pere\Documents\pywikibot>python ..\PereBot\prova2bot.py
(... línies omeses; llegeix un article i en presenta bé el codi wiki a la pantalla; intenta escriure)
Sleeping for 8.0 seconds, 2019-12-19 10:30:07
WARNING: API error permissiondenied: The action you have requested is limited to users in one of the groups: *, [[Viquipèdia:Usuaris|Usuaris]].
Traceback (most recent call last):
(...)
  File "C:\Users\Pere\Documents\pywikibot\pywikibot\data\api.py", line 2080, in submit
    raise APIError(**result['error'])
pywikibot.data.api.APIError: permissiondenied: The action you have requested is limited to users in one of the groups: *, [[Viquipèdia:Usuaris|Usuaris]]. [help:See https://ca.wikipedia.org/w/api.php for API usage. Subscribe to the mediawiki-api-announce mailing list at <https://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce> for notice of API deprecations and breaking changes.]

During handling of the above exception, another exception occurred:
(...)

O sigui, és com si entrés però després no reconegués els permisos. El user-config.py conté (salto línies):

mylang = 'ca'
family = 'wikipedia'
usernames['wikipedia']['ca'] = u'PereBot'
(...)
authenticate['*.wikipedia.org'] = ('...','...', '...', '...')
(...)

I per si de cas, l'script de prova que estic executant és el següent:

import pywikibot as pwb
site=pwb.Site('ca')
pag = pwb.Page(site, "Pastanaga")
print (pag)
contingut = pag.get()
print(contingut[0:500])
pagprova= pwb.Page(site, "Usuari:PereBot/taller")
pagprova.put(contingut, "Copiant [[ca:pastanaga]] per fer una prova")
print("Fet")

Tot i això, no crec que el problema sigui de l'script perquè amb el replace.py em passava el mateix.

Joutbis (discussiócontribucions)

Fes una prova, contra totes les bones pràctiques d'higiene, és cert, però provem això: copia l'script prova2bot.py al mateix directori del pywikibot, i executa'l des d'allà, a veure què passa. L'script és perfecte, segur que per aquí no ve el problema.

Per altra banda, a quin directori tens el user-config.py? Pot ser que en tinguis més d'una còpia?

Pere prlpz (discussiócontribucions)

Ja edita. Moltes gràcies a tots dos.

Al final el problema era amb els tokens. Quan vaig demanar-los no devia haver clicat prou creuetes i per això no tenia permís per escriure.

Joutbis (discussiócontribucions)

Ah, té sentit, també. A disposar!

Resposta a «bot no edita»
Yuanga (discussiócontribucions)

Estic passant els codis de python 2.7 a 3x, i em surt aquest error:

ModuleNotFoundError: No module named 'pywikibot.compat'.

Ja no existeix aquet mòdul a 3.x o cal instal·lar-lo d'alguna manera?

Joutbis (discussiócontribucions)

La compat és la llibreria antiga de pywikibot, i és obsoleta de fa temps. Hauries d'instal·lar-te la llibreria "core", que és la bona. L'enllaç és aquest.

Si has estat utilitzant la compat tot aquest temps, pot ser que tinguis algun problema amb les classes del pywikibot, Page, Site, i aquestes. Prova-ho, si de cas, i si tens algun problema digues alguna cosa que intentarem ajudar-te.

Yuanga (discussiócontribucions)

Gràcies @Joutbis La llibreria que tinc em sembla que és la bona. El problema el tinc amb el codi del bot, que fa anys que l'arrossego. Per quines frases hauria de reemplaçar aquestes dues?

from pywikibot.compat import catlib
import urllib,urllib2
Joutbis (discussiócontribucions)

Ostres, doncs sí que és vell el codi, sí. Això de catlib no ho he fet servir mai, però mirant documentació sembla que era alguna eina de gestió de categories, que va acabar integrant-se a la classe Category. Jo el que provaria és:

  • treure el "from pywikibot.compat"... i substituir-ho per "import pywikibot" (sense cometes)
  • buscar al codi on facis servir catlib, perquè les crides no et funcionaran. En aquest README diu el que has de fer. En principi, si tens crides de l'estil catlib.elquesigui(pagina, resta de params) has de fer pagina.elquesigui(resta de params) i ja hauria d'estar.
Yuanga (discussiócontribucions)

Em continuen sortint errors derivats de les llibreries:

Traceback (most recent call last):
 File "/[...]/Python/codi_3.py", line 485, in <module>
   informe=informe+llegeixarbres()+'\n
 
 File "/[..]/Python/codi_3.py", line 449, in llegeixarbres
   pagdistr=urllib.urlopen(url)

NameError: name 'urllib' is not defined
Joutbis (discussiócontribucions)

Pel que sembla, amb python3, la urllib.urlopen ha canviat a urllib.request.urlopen, tal com s'explica aquí. Segons el que faci el codi, pot ser tan fàcil com simplement inserir-hi el "request" entremig. Jo també substituiria "import urllib, urllib2" per "import urllib.request". En tot cas, aquí hi ha alguns exemples de com s'utilitza urllib.request. A veure què tal.

Yuanga (discussiócontribucions)

Ja he solucionat la majoria d'errors que han anat apareixent, però amb aquest no m'en surto:

Després de canviar els "unicode" per "str" em surt:

Traceback (most recent call last):
 File "/[...]/Python/codi_3.py", line 487, in <module>
   informe=unialinia(informe)
 File "/[...]/Python/codi_3.py", line 37, in unialinia
   novalinia=str(linia,"utf-8")
TypeError: decoding str is not supported

Saps per on poden anar els trets?

Joutbis (discussiócontribucions)

Ah, però això és la gràcia del python3, que tot és unicode, i no has d'anar canviant d'una cosa a l'altra, ni anar trencant-te el cap amb decodes, encodes i mandangues d'aquestes. T'ho carregues i ja està. O sigui, "novalinia=linia".

Yuanga (discussiócontribucions)

Moltes gràcies @Joutbis, m'estàs sent d'una grandíssima ajuda.

Ja gairebé ho tinc :) Ara em diu :

AttributeError: module 'pywikibot' has no attribute 'site'

Amb la línia de codi: "site=pywikibot.Site()", i el mateix em passa amb pywikibot.Page()

Joutbis (discussiócontribucions)

Com és la crida a Site()? Entenc que hi poses el 'ca' a dins, no? O sigui, "site=pywikibot.Site('ca')"

Yuanga (discussiócontribucions)

Sí:

site=pywikibot.Site('ca')
desti=pywikibot.Page(site,u"Usuari:Yuanga/proves2")

No sembla error de codi, sinó de configuració. El missatge és "module 'pywikibot' has no attribute 'site'", quan sí que en té aquest atribut, no?

Joutbis (discussiócontribucions)

No, no deu ser això. L'error és així, amb "site" en minúscules? Perquè amb majúscules hi ha de ser segur.

Yuanga (discussiócontribucions)

Tan se val que ho posi amb majúscules com en minúscules.

Joutbis (discussiócontribucions)

I si canvies del tot? en comptes de "site" poses "lloc"? Amb majúscules no pot ser que xafaries el nom de la classe.

Yuanga (discussiócontribucions)

Bon intent, he provat amb:

lloc = pywikibot.Site('ca')
desti = pywikibot.Page(lloc,u"Usuari:Yuanga/proves2")

però l'error persisteix.

Joutbis (discussiócontribucions)

Una idea boja: no deus pas tenir algun fitxer que es digui pywikibot.py, no?

Yuanga (discussiócontribucions)

No (ho he hagut de mirar). Sí que tinc una carpeta anomenada pywikibot dins de la carpeta core, que tinc reanomenada com pywikibot.

Joutbis (discussiócontribucions)

Uf, no sé si pot afectar, però per si de cas... Perquè el PYTHONPATH té l'ordre bé?

Yuanga (discussiócontribucions)

Aquí m'enxampes... com es mira això?

Joutbis (discussiócontribucions)

echo $PYTHONPATH

Pere prlpz (discussiócontribucions)

Això és el mateix que el que en Windows es fa amb echo %PYTHONPATH% ? O és una cosa diferent?

Joutbis (discussiócontribucions)

Sí, en tots els casos són variables d'entorn.

Yuanga (discussiócontribucions)

Ostres, m'has fet adonar-me'n:

sys.path.append('/Users/[...]/Python/core')

La ruta aquesta era errònia!!! Ara sí, ja rutllaaaaa!!! Un hurra per en @Joutbis!!

Pere prlpz (discussiócontribucions)

A mi em funciona així:

 import pywikibot as pwb
 site= pwb.Site('ca')
 pag = pwb.Page(site, "Pastanaga")
Yuanga (discussiócontribucions)

No, assignar-li un àlies a pywikibot no em funciona :(

Yuanga (discussiócontribucions)

Què me'n dius de

cat = site.Category(titcat)
titcat = "Categoria:Articles de prova de MineralBot"

Com es fa a python 3x?

Joutbis (discussiócontribucions)

Ara mateix, el problema no és python 2 o 3, sinó el salt de versió que has fet a pywikibot. El codi aquest és vàlid igualment en qualsevol python. En aquest tros, has d'invertir l'ordre de les sentències (primer assignes titcat, després l'utilitzes). Suposo que l'objectiu és obtenir la llista d'articles de la categoria i fer-hi coses. Prova això:

   site=pywikibot.Site('ca')
   desti=pywikibot.Page(site,u"Usuari:Yuanga/proves2")
   titcat = "Categoria:Articles de prova de MineralBot"
   cat = pywikibot.Category(site,title=titcat)
   for art in cat.articles():
     # cat.articles() és un generador
     # art ja és una Page()
     print(art.title())
     print(art.text)
Yuanga (discussiócontribucions)

Fantàstic @Joutbis! Espero no haver de donar-te la tabarra gaire més. A la teva disposició :)

Joutbis (discussiócontribucions)

Cap problema!

Resposta a «pywikibot amb Python 3x»

Problemes instal·lant pywikibot

7
Resum per Pere prlpz
Pere prlpz (discussiócontribucions)

Estic mirant d'instal·lar el python i el pywikibot seguint File:Taller_de_bots-_instal·lació_i_primers_passos.webm d'en Joutbis, però quan intento fer alguna cosa em surt el següent error:

C:\Users\Pere\Documents\pywikibot>python pwb.py replace.py -ns:0 arrivar arribar
Traceback (most recent call last):
  File "pwb.py", line 154, in <module>
    import pywikibot as pwb
  File "C:\Users\Pere\Documents\pywikibot\pywikibot\__init__.py", line 24, in <module>
    from pywikibot.bot import (
  File "C:\Users\Pere\Documents\pywikibot\pywikibot\bot.py", line 98, in <module>
    from pywikibot import config2 as config
  File "C:\Users\Pere\Documents\pywikibot\pywikibot\config2.py", line 1063, in <module>
    exec(compile(f.read(), _filename, 'exec'), _exec_globals)
  File "C:\Users\Pere\Documents\pywikibot\user-config.py", line 8
    usernames['wikipedia']['*'] =
                                ^
SyntaxError: invalid syntax

Sembla que el problema el tingui amb el user-config.py, però jo el veig igual que el del vídeo, i de fet diria que el vaig generar igual, també. A més, quan entro al python i faig un import pywikibot em dóna el mateix error.

Alguna idea d'on em dec estar equivocant?

Paucabot (discussiócontribucions)

Potser hi ha qualque cosa errònia a user-config.py, però diria que el codi hauria de ser:

$ python pwb.py replace -ns:0 arrivar arribar

Pere prlpz (discussiócontribucions)

No és això, o com a mínim no només és això, perquè em segueix donant el mateix error.

No sé si pot tenir a veure amb que he instal·lat el python 3.8 en comptes del 2.7, perquè si ho he entès bé se suposa que el pywikibot ja està adaptat al python 3.

Yuanga (discussiócontribucions)

Prova amb aquest, a i m'ha anat bé per instal·lar el python 3.8.

Pere prlpz (discussiócontribucions)

Gràcies a tots.

Em penso que aquesta part ja l'he resolta. Diria que el problema és que el meu config tenia una cosa així com:

usernames['wikipedia']['*'] =
  usernames['meta']['*'] =
  usernames['commons']['*'] =
  usernames['wikidata']['*'] =
  usernames['wiktionary']['*'] =
  usernames['wikibooks']['*'] =
  usernames['wikinews']['*'] =
  usernames['wikiquote']['*'] =
  usernames['wikisource']['*'] =
  usernames['wikiversity']['*'] =
  usernames['wikivoyage']['*'] =
  u'PereBot'

I aquí hi falta alguna cosa per dir-li que tot és la mateixa instrucció. Ho he resolt convertint-ho en instruccions independents, copiant u'PereBot' a totes les línies, tot i que possiblement no és la solució me´s elegant.

Pere prlpz (discussiócontribucions)

I la solució elegant era la barra \ per indicar que continuava a la línia següent.

Joutbis (discussiócontribucions)

Perdona, no ho he vist fins ara. Apart d'això, alguna vegada m'ha passat que no li agrada l'asterisc amb wikipedia, i he hagut de limitar-ho a la viquipèdia en català, així:

usernames['wikipedia']['ca'] = 			\
 usernames['meta']['*'] =			\
 usernames['commons']['*'] =			\
 usernames['wikidata']['*'] =			\
 usernames['wiktionary']['*'] =		\
 usernames['wikibooks']['*'] =			\
 usernames['wikinews']['*'] =			\
 usernames['wikiquote']['*'] =			\
 usernames['wikisource']['*'] =		\
 usernames['wikiversity']['*'] =		\
 usernames['wikivoyage']['*'] =		\
 'JoRobot'
Resposta a «Problemes instal·lant pywikibot»
CarlesMartin (discussiócontribucions)

Estic veient alguns problemes amb el patrimoni de la humanitat a les nostres infotaules. Per exemple a Costa Juràssica, cada vegada que la infotaula llista un lloc patrimoni de la humanitat sembla que cridi una imatge, però no ho fa be. A banda que l'etiqueta és "Point in time". Amadalvarez, que jo sé aquestes coses t'agrada arreglar-les...

Amadalvarez (discussiócontribucions)

@CarlesMartin aixì de que "vol cridar una imatge" és perquè té una forma sui generis d'expressar-se. En realitat està dient que el label d'aquell item (el de cadascuna de les parts que formen la Costa Juràssica dins la protecció) no existeix en català. La imatge que vol mostrar i no sap fer-ho bé és el llapisset per a que editis WD. Bé, ara ja estan tots i surt millor. Lo de Point in time és un poltergeist que no entenc i li he passat al Vriullop perquè és cosa de meigas. S'està comportant com si el label en català de la P585 no existís i per això ho mostra en anglès, per defecte, i ens ofereix el llapisset per que ho corregim. Però quan vas a la P585 existeix el català. Aparentment només passa amb aquest valor. La P580, per exemple, funciona bé. Està en bones mans.

Merci, per avisar.

CarlesMartin (discussiócontribucions)

Molt millor, merci!.

Resposta a «Wikidata i patrimoni de la humanitat»